{
  "$schema": "https://raw.githubusercontent.com/Opencode-DCP/opencode-dynamic-context-pruning/master/dcp.schema.json",
  "enabled": true,
  "debug": false,
  "pruneNotification": "detailed",
  "pruneNotificationType": "chat",
  "commands": {
    "enabled": true,
    "protectedTools": []
  },
  "experimental": {
    "allowSubAgents": true
  },
  "manualMode": {
    "enabled": false,
    "automaticStrategies": true
  },
  "turnProtection": {
    "enabled": false,
    "turns": 4
  },
  "protectedFilePatterns": [],
  "strategies": {
    "deduplication": {
      "enabled": true,
      "protectedTools": []
    },
    "supersedeWrites": {
      "enabled": true
    },
    "purgeErrors": {
      "enabled": true,
      "turns": 4,
      "protectedTools": []
    }
  },
  "compress": {
    "maxContextLimit": "80%",
    "minContextLimit": "50%"
  }
}
